Bug 1433420 - [abrt] xfwm4: XGetXCBConnection(): xfwm4 killed by SIGSEGV
Summary: [abrt] xfwm4: XGetXCBConnection(): xfwm4 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: x2goserver
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ad4d1158353b721eff1dff0d7cb...
: 1433419 1433449 1435677 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-17 15:44 UTC by RobbieTheK
Modified: 2017-12-12 10:43 UTC (History)
7 users (show)

Fixed In Version: xfwm4-4.12.4-1.fc26 xfwm4-4.12.4-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:43:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (10.14 KB, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
File: cgroup (278 bytes, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
File: core_backtrace (1.33 KB, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
File: dso_list (8.25 KB, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
File: environ (1.67 KB, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
File: limits (1.29 KB, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
File: maps (45.14 KB, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
File: mountinfo (7.11 KB, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
File: namespaces (102 bytes, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
File: open_fds (443 bytes, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
File: var_log_messages (246 bytes, text/plain)
2017-03-17 15:44 UTC, RobbieTheK
no flags Details
core dump (791.92 KB, application/octet-stream)
2017-03-21 18:50 UTC, RobbieTheK
no flags Details
xfwm4 core file (961.52 KB, application/octet-stream)
2017-04-07 13:14 UTC, RobbieTheK
no flags Details
coredump (19.30 MB, application/x-core)
2017-04-07 16:51 UTC, RobbieTheK
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1433419 unspecified CLOSED [abrt] xfdesktop: XGetXCBConnection(): xfdesktop killed by SIGSEGV 2020-10-14 00:28:05 UTC
Red Hat Bugzilla 1433449 unspecified CLOSED [abrt] glx-utils: XGetXCBConnection(): glxinfo killed by SIGSEGV 2020-10-14 00:28:05 UTC
Red Hat Bugzilla 1435677 unspecified CLOSED [abrt] pulseaudio: XGetXCBConnection(): pulseaudio killed by SIGSEGV 2020-10-14 00:28:05 UTC
Xfce 13456 None None None 2017-03-23 23:49:31 UTC

Description RobbieTheK 2017-03-17 15:44:04 UTC
Version-Release number of selected component:
xfwm4-4.12.3-3.fc24

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        xfwm4
crash_function: XGetXCBConnection
executable:     /usr/bin/xfwm4
global_pid:     30977
kernel:         4.9.8-201.fc25.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            6105

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 XGetXCBConnection at x11_xcb.c:9
 #1 sn_display_new at sn-common.c:77
 #2 sn_init_display at startup_notification.c:321
 #3 initialize at main.c:537

Comment 1 RobbieTheK 2017-03-17 15:44:08 UTC
Created attachment 1264078 [details]
File: backtrace

Comment 2 RobbieTheK 2017-03-17 15:44:09 UTC
Created attachment 1264079 [details]
File: cgroup

Comment 3 RobbieTheK 2017-03-17 15:44:10 UTC
Created attachment 1264080 [details]
File: core_backtrace

Comment 4 RobbieTheK 2017-03-17 15:44:11 UTC
Created attachment 1264081 [details]
File: dso_list

Comment 5 RobbieTheK 2017-03-17 15:44:12 UTC
Created attachment 1264082 [details]
File: environ

Comment 6 RobbieTheK 2017-03-17 15:44:13 UTC
Created attachment 1264083 [details]
File: limits

Comment 7 RobbieTheK 2017-03-17 15:44:14 UTC
Created attachment 1264084 [details]
File: maps

Comment 8 RobbieTheK 2017-03-17 15:44:15 UTC
Created attachment 1264085 [details]
File: mountinfo

Comment 9 RobbieTheK 2017-03-17 15:44:16 UTC
Created attachment 1264086 [details]
File: namespaces

Comment 10 RobbieTheK 2017-03-17 15:44:17 UTC
Created attachment 1264087 [details]
File: open_fds

Comment 11 RobbieTheK 2017-03-17 15:44:18 UTC
Created attachment 1264088 [details]
File: proc_pid_status

Comment 12 RobbieTheK 2017-03-17 15:44:19 UTC
Created attachment 1264089 [details]
File: var_log_messages

Comment 13 Kevin Fenzi 2017-03-18 16:52:58 UTC
What were you doing when this happened?

Can you duplicate the crash?

Comment 14 RobbieTheK 2017-03-18 17:04:38 UTC
Yes using X2Go from a PC and the XFCE dropdown, it starts and then just quits.

Comment 15 Fedora Update System 2017-03-20 01:00:27 UTC
xfwm4-4.12.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee90e7b000

Comment 16 Fedora Update System 2017-03-20 01:00:40 UTC
xfwm4-4.12.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-15853d2654

Comment 17 Fedora Update System 2017-03-21 05:21:01 UTC
xfwm4-4.12.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee90e7b000

Comment 18 Fedora Update System 2017-03-21 14:24:17 UTC
xfwm4-4.12.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-15853d2654

Comment 19 RobbieTheK 2017-03-21 18:49:56 UTC
rpm -q xfwm4
xfwm4-4.12.4-1.fc25.x86_64

Still crashes & coredump on Fedora 25.

dbus-daemon[8871]: [session uid=6105 pid=8869] Successfully activated service 'org.gtk.vfs.AfcVolumeMonitor'
kernel: xfce4-panel[9393]: segfault at 0 ip 00007f634e4826a7 sp 00007ffc5bef8858 error 4 in libX11-xcb.so.1.0.0[7f634e482000+1000]
systemd-coredump: Process 9393 (xfce4-panel) of user 6105 dumped core.#012#012Stack trace of thread 9393:#012#0  0x00007f634e4826a7 XGetXCBConnection (libX11-xcb.so.1)#012#1  0x00007f6352cfe1b2 sn_display_new (libstartup-notification-1.so.0)#012#2  0x00007f63565b267f wnck_screen_get (libwnck-1.so.22)#012#3  0x000055bb4e3a156a panel_window_screen_changed (xfce4-panel)#012#4  0x00007f63550767fb g_type_create_instance (libgobject-2.0.so.0)#012#5  0x00007f635505869b g_object_new_internal (libgobject-2.0.so.0)#012#6  0x00007f635505a5ae g_object_new_valist (libgobject-2.0.so.0)#012#7  0x00007f635505a851 g_object_new (libgobject-2.0.so.0)#012#8  0x000055bb4e3a3e38 panel_window_new (xfce4-panel)#012#9  0x000055bb4e3890b2 panel_application_new_window (xfce4-panel)#012#10 0x000055bb4e3893cc panel_application_load_real (xfce4-panel)#012#11 0x000055bb4e3897bc panel_application_wait_for_window_manager_destroyed (xfce4-panel)#012#12 0x00007f6354d77938 g_source_callback_unref (libglib-2.0.so.0)#012#13 0x00007f6354d79106 g_source_destroy_internal (libglib-2.0.so.0)#012#14 0x00007f6354d7af00 g_main_context_dispatch (libglib-2.0.so.0)#012#15 0x00007f6354d7b1d0 g_main_context_iterate.isra.24 (libglib-2.0.so.0)#012#16 0x00007f6354d7b4f2 g_main_loop_run (libglib-2.0.so.0)#012#17 0x00007f6356058267 gtk_main (libgtk-x11-2.0.so.0)#012#18 0x000055bb4e386f58 main (xfce4-panel)#012#19 0x00007f6354464401 __libc_start_main (libc.so.6)#012#20 0x000055bb4e3870d9 _start (xfce4-panel)
Mar 21 14:39:36  dbus-daemon[8871]: [session uid=6105 pid=8869] Activating service name='org.gtk.vfs.GoaVolumeMonitor' requested by ':1.12' (uid=6105 pid=8946 comm="/usr/libexec/tracker-extract ")
dbus-daemon[8871]: [session uid=6105 pid=8869] Successfully activated service 'org.gtk.vfs.GoaVolumeMonitor'
kernel: xfce4-panel[9455]: segfault at 0 ip 00007f7b7ad2a6a7 sp 00007ffc5c899df8 error 4 in libX11-xcb.so.1.0.0[7f7b7ad2a000+1000]
systemd: Started Process Core Dump (PID 9495/UID 0).
systemd-coredump: Removed old coredump core.marco.1000.c2b3c76b5fd04c8f981c941d5266a42d.16081.1489583034000000000000.lz4.
systemd-coredump: Process 9455 (xfce4-panel) of user 6105 dumped core.#012#012Stack trace of thread 9455:#012#0  0x00007f7b7ad2a6a7 XGetXCBConnection (libX11-xcb.so.1)#012#1  0x00007f7b7f5a61b2 sn_display_new (libstartup-notification-1.so.0)#012#2  0x00007f7b82e5a67f wnck_screen_get (libwnck-1.so.22)#012#3  0x0000560d747b156a panel_window_screen_changed (xfce4-panel)#012#4  0x00007f7b8191e7fb g_type_create_instance (libgobject-2.0.so.0)#012#5  0x00007f7b8190069b g_object_new_internal (libgobject-2.0.so.0)#012#6  0x00007f7b819025ae g_object_new_valist (libgobject-2.0.so.0)#012#7  0x00007f7b81902851 g_object_new (libgobject-2.0.so.0)#012#8  0x0000560d747b3e38 panel_window_new (xfce4-panel)#012#9  0x0000560d747990b2 panel_application_new_window (xfce4-panel)#012#10 0x0000560d747993cc panel_application_load_real (xfce4-panel)#012#11 0x0000560d747997bc panel_application_wait_for_window_manager_destroyed (xfce4-panel)#012#12 0x00007f7b8161f938 g_source_callback_unref (libglib-2.0.so.0)#012#13 0x00007f7b81621106 g_source_destroy_internal (libglib-2.0.so.0)#012#14 0x00007f7b81622f00 g_main_context_dispatch (libglib-2.0.so.0)#012#15 0x00007f7b816231d0 g_main_context_iterate.isra.24 (libglib-2.0.so.0)#012#16 0x00007f7b816234f2 g_main_loop_run (libglib-2.0.so.0)#012#17 0x00007f7b82900267 gtk_main (libgtk-x11-2.0.so.0)#012#18 0x0000560d74796f58 main (xfce4-panel)#012#19 0x00007f7b80d0c401 __libc_start_main (libc.so.6)#012#20 0x0000560d747970d9 _start (xfce4-panel)

Comment 20 RobbieTheK 2017-03-21 18:50:49 UTC
Created attachment 1265190 [details]
core dump

Comment 21 Mukundan Ragavan 2017-03-21 21:22:47 UTC
Would you be able to file this upstream or would you prefer that I file it upstream?

Thanks!

Comment 22 RobbieTheK 2017-03-21 21:30:21 UTC
If you could do it I would appreciate it, thanks. I take it this is separate from the issue that was just fixed?

Comment 23 RobbieTheK 2017-03-21 21:30:35 UTC
If you could do it I would appreciate it, thanks. I take it this is separate from the issue that was just fixed?

Comment 24 Olivier Fourdan 2017-03-24 11:00:55 UTC
I am not convinced this is a bug in xfwm4, or xfce4-panel for that matter (as both are mentioned in this bug, comment 0 and comment 19). but I suspect they are both victims of the display vanishing under their feet at startup.

Reason I believe so is because xfwm4 or xfce4-panel crashing won't cause the session to terminate (comment 14) and also, both backtraces point toward the same code in libstartup-notification but from two different components and code paths...

So if the session terminates, it's most likely xfce4-session that either dies or failed to start.

Best way to tell is to create a customer session in x2goclient and run just a bare xterm (Session type: "Custom desktop", Command "/usr/bin/xterm" - just make sure you have xterm installed first...) and then run "startxfce4" from this xterm and see what it says.

Comment 25 RobbieTheK 2017-03-24 13:33:13 UTC
Yes "the display vanishing under their feet at startup" is exactly what happens. Here's what happends with startxfce, and I added --disable-wm-check but same results with and without that option.


startxfce4 --disable-wm-check
/bin/startxfce4: X server already running on display :58.0
xfce4-session-Message: SSH authentication agent is already running
gpg-agent[6002]: WARNING: "--write-env-file" is an obsolete option - it has no effect
gpg-agent: a gpg-agent is already running - not starting a new one

(xfce4-session:5998): xfce4-session-WARNING **: gpg-agent returned no PID in the variables

(xfce4-session:5998): xfce4-session-WARNING **: xfsm_manager_load_session: Something wrong with /.cache/sessions/xfce4-session-ourdomain:58, Does it exist? Permissions issue?

(xfwm4:6005): xfwm4-WARNING **: The display does not support the XComposite extension.

(xfwm4:6005): xfwm4-WARNING **: The display does not support the XFixes extension.
(xfwm4:6005): xfwm4-WARNING **: Compositing manager disabled.

(xfwm4:6005): xfwm4-WARNING **: Error opening /dev/dri/card0: Permission denied
vmware-user: could not open /proc/fs/vmblock/dev
SELinux Troubleshooter: Applet requires SELinux be enabled to run.
blueman-applet version 2.0.4 starting
Stale PID, overwriting
/usr/lib/python3.5/site-packages/blueman/plugins/applet/AppIndicator.py:8: PyGIWarning: AppIndicator3 was imported without specifying a version first. Use gi.require_version('AppIndicator3', '0.1') before import to ensure that the right version gets loaded.
  from gi.repository import AppIndiccator3 as girAppIndicator

Comment 26 Olivier Fourdan 2017-03-24 14:13:23 UTC
and then... "startxfce4" ends, just like that?

What if you run "xfwm4 & xfce4-panel" instead, do they start?

Comment 27 RobbieTheK 2017-03-24 15:50:51 UTC
"and then... "startxfce4" ends, just like that?"

Just these logs over & over:
xfce4-panel: No window manager registered on screen 0. To start the panel without this check, run with --disable-wm-check.

xfwm4 
(xfwm4:25954): xfwm4-WARNING **: The display does not support the XComposite extension.
(xfwm4:25954): xfwm4-WARNING **: The display does not support the XFixes extension.
(xfwm4:25954): xfwm4-WARNING **: Compositing manager disabled.
(xfwm4:25954): xfwm4-WARNING **: Error opening /dev/dri/card0: Permission denied
Segmentation fault (core dumped)

xfce4-panel
xfce4-panel: Failed to connect to session manager: Failed to connect to the session manager: SESSION_MANAGER environment variable not defined
xfce4-panel: No window manager registered on screen 0. To start the panel without this check, run with --disable-wm-check.
Segmentation fault (core dumped)

Would you like the core dumps?

Comment 28 Olivier Fourdan 2017-03-24 16:40:02 UTC
If, from the very same xterm session you run some other gtk2 based app, say "gtk-demo", does it work?

Comment 29 RobbieTheK 2017-03-24 16:49:46 UTC
After installing all the necessary packages for gtk-demo it starts and I see the "Application main window Demonstrates a typical application window with menubar, toolbar, statusbar."

Comment 30 RobbieTheK 2017-03-30 16:57:13 UTC
Any update on a fix or what the root of the problem is?

Comment 31 Olivier Fourdan 2017-04-07 06:48:49 UTC
Sorry, can't reproduce the issue, xfce works fine in x2go here between two different fedora 25 machines.

I would be interested in the xfwm4 core file...

Comment 32 RobbieTheK 2017-04-07 13:14:44 UTC
Created attachment 1269745 [details]
xfwm4 core file

xfwm4 core file attached I also have cores for marco, xfce4 and using openbox.

Comment 33 Olivier Fourdan 2017-04-07 16:02:18 UTC
(In reply to RobbieTheK from comment #32)
> xfwm4 core file attached I also have cores for marco, xfce4 and using
> openbox.

You mean you have all these (unrelated) apps segfaulting the same? That doesn't seem right...

Comment 34 Olivier Fourdan 2017-04-07 16:08:42 UTC
The backtrace seems odd, dpy->xcb is NULL but this is not something xfwm4 does by itself.

Why is that set in your env?

    LD_LIBRARY_PATH=/usr/lib64/nx/X11/Xinerama:/usr/lib64/nx/X11

Are you using x2go from Fedora 25 packages? Is there anything in those paths?

Does "unset LD_LIBRARY_PATH; xfwm4 --compositor=off" make any difference?

Comment 35 Olivier Fourdan 2017-04-07 16:15:16 UTC
Ah this is highly suspect to me:

From                To                  Syms Read   Shared Object Library
                                        No          /usr/lib64/nx/X11/libX11.so.6

So you're *not* using the libX11 from the OS/Fedora 25, and not too surprisingly, the crash occurs in the display structures...

I am quite convinced this is a issue in your environment, not using provided libraries.

Comment 36 RobbieTheK 2017-04-07 16:20:35 UTC
"Why is that set in your env?

    LD_LIBRARY_PATH=/usr/lib64/nx/X11/Xinerama:/usr/lib64/nx/X11"

Not sure?

"Does "unset LD_LIBRARY_PATH; xfwm4 --compositor=off" make any difference?"
 unset LD_LIBRARY_PATH; xfwm4 --compositor=off

(xfwm4:22503): Gtk-WARNING **: cannot open display:

"Are you using x2go from Fedora 25 packages?"

 dnf info libX11*
Last metadata expiration check: 0:53:26 ago on Fri Apr  7 11:25:27 2017.
Installed Packages
Name        : libX11
Arch        : i686
Epoch       : 0
Version     : 1.6.4
Release     : 4.fc25
Size        : 1.3 M
Repo        : @System
From repo   : updates
Summary     : Core X11 protocol client library
URL         : http://www.x.org
License     : MIT
Description : Core X11 protocol client library.

Name        : libX11
Arch        : x86_64
Epoch       : 0
Version     : 1.6.4
Release     : 4.fc25
Size        : 1.3 M
Repo        : @System
From repo   : updates
Summary     : Core X11 protocol client library
URL         : http://www.x.org
License     : MIT
Description : Core X11 protocol client library.

Name        : libX11-common
Arch        : noarch
Epoch       : 0
Version     : 1.6.4
Release     : 4.fc25
Size        : 1.3 M
Repo        : @System
From repo   : updates
Summary     : Common data for libX11
URL         : http://www.x.org
License     : MIT
Description : libX11 common data

Name        : libX11-devel
Arch        : x86_64
Epoch       : 0
Version     : 1.6.4
Release     : 4.fc25
Size        : 1.0 M
Repo        : @System
From repo   : updates
Summary     : Development files for libX11
URL         : http://www.x.org
License     : MIT
Description : X.Org X11 libX11 development package

Available Packages
Name        : libX11-devel
Arch        : i686
Epoch       : 0
Version     : 1.6.4
Release     : 4.fc25
Size        : 982 k
Repo        : updates
Summary     : Development files for libX11
URL         : http://www.x.org
License     : MIT
Description : X.Org X11 libX11 development package

Comment 37 RobbieTheK 2017-04-07 16:23:45 UTC
dnf info x2go*
Last metadata expiration check: 0:57:23 ago on Fri Apr  7 11:25:27 2017.
Installed Packages
Name        : x2goagent
Arch        : x86_64
Epoch       : 0
Version     : 3.5.0.32
Release     : 4.fc24
Size        : 37 k
Repo        : @System
From repo   : fedora
Summary     : X2Go Agent
URL         : http://x2go.org/
License     : GPLv2+
Description : X2Go agent functionality has been completely incorporated into
            : nxagent's code base. If the nxagent binary is executed under the name
            : of "x2goagent", the X2Go functionalities get activated.
            :
            : The x2goagent package is a wrapper that activates X2Go branding in
            : nxagent. Please refer to the nxagent package's description for more
            : information on NX.

Name        : x2goserver
Arch        : x86_64
Epoch       : 0
Version     : 4.0.1.20
Release     : 1.fc25
Size        : 309 k
Repo        : @System
From repo   : updates
Summary     : X2Go Server
URL         : http://www.x2go.org
License     : GPLv2+
Description : X2Go is a server based computing environment with
            :     - session resuming
            :     - low bandwidth support
            :     - session brokerage support
            :     - client side mass storage mounting support
            :     - audio support
            :     - authentication by smartcard and USB stick
            :
            : This package contains the main daemon and tools for X2Go server-side session
            : administrations.

Name        : x2goserver-xsession
Arch        : x86_64
Epoch       : 0
Version     : 4.0.1.20
Release     : 1.fc25
Size        : 8.7 k
Repo        : @System
From repo   : updates
Summary     : X2Go Server Xsession runner
URL         : http://www.x2go.org
License     : GPLv2+
Description : X2Go is a server based computing environment with
            :    - session resuming
            :    - low bandwidth support
            :    - session brokerage support
            :    - client side mass storage mounting support
            :    - audio support
            :    - authentication by smartcard and USB stick
            :
            : This X2Go server add-on enables Xsession script handling
            : when starting desktop sessions with X2Go.
            :
            : Amongst others the parsing of Xsession scripts will
            : enable desktop-profiles, ssh-agent startups, gpgagent
            : startups and many more Xsession related features on
            : X2Go session login automagically.

Comment 38 Olivier Fourdan 2017-04-07 16:29:11 UTC
That doesn't prove that the file comes from the packages :)

What gives:

  $ ls -l /usr/lib64/nx/X11/libX11.so.6
  $ rpm -qf /usr/lib64/nx/X11/libX11.so.6

On your system? (since that's the actual libX11 being loaded there)

As a comparison, I have here:

  $ ls /usr/lib64/nx/X11/libX11.so.6
  ls: cannot access '/usr/lib64/nx/X11/libX11.so.6': No such file or directory

  => So there is no such file on my system

But some of the directories do exist:

  $ ls /usr/lib64/nx/X11/
  Xinerama
  $ ls -l /usr/lib64/nx/X11/Xinerama/
  total 0
  lrwxrwxrwx. 1 root root 29 Feb 11 10:35 libNX_X11.so.6 -> ../../../../lib64/libX11.so.6
  lrwxrwxrwx. 1 root root 30 Feb 11 10:35 libNX_Xext.so.6 -> ../../../../lib64/libXext.so.6
  lrwxrwxrwx. 1 root root 25 Feb 11 10:35 libXinerama.so.1 -> ../../libNX_Xinerama.so.1

 => So those are supposed to be symlinks to the standard libs provided by Fedora. Is that the case on your system?

Comment 39 RobbieTheK 2017-04-07 16:35:28 UTC
ls -l /usr/lib64/nx/X11/libX11.so.6
lrwxrwxrwx 1 root root 20 Mar  8 21:35 /usr/lib64/nx/X11/libX11.so.6 -> ../../libNX_X11.so.6

rpm -qf /usr/lib64/nx/X11/libX11.so.6
nxagent-3.5.99.4-0.0build1.fc25.x86_64

ls /usr/lib64/nx/X11/
libNX_X11.so.6  libX11.so.6  libX11.so.6.2


ls -l /usr/lib64/nx/X11/Xinerama
ls: cannot access '/usr/lib64/nx/X11/Xinerama': No such file or directory


OK looks like at some point I enabled the copr repo from https://copr.fedorainfracloud.org/coprs/mikedep333/nx-libs-3.6/build/524054/

Should I remove those?

Comment 40 Olivier Fourdan 2017-04-07 16:47:57 UTC
That's completely up to you to decide, I don't know these builds... If I was me, I would stick to the builds provided by Fedora. Those work here.

All I know is that the core file shows the process is using a non-standard libX11 and the odd crash occurs in the display (created by libX11) and is affecting several different unrelated projects  - i.e. I am quite convinced this is not a bug in xfwm4.

Comment 41 RobbieTheK 2017-04-07 16:51:55 UTC
Created attachment 1269835 [details]
coredump

OK here's a coredump from a server that is not using the updated NX libs.

Comment 42 RobbieTheK 2017-04-07 16:53:16 UTC
And:
more core_backtrace
{   "signal": 11
,   "executable": "/usr/bin/xfdesktop"
,   "only_crash_thread": true
,   "stacktrace":
      [ {   "crash_thread": true
        ,   "frames":
              [ {   "address": 140025185842855
                ,   "build_id": "2cd49b4e4b0afdee8f342a7bd699e4656d95e0fc"
                ,   "build_id_offset": 1703
                ,   "function_name": "XGetXCBConnection"
                ,   "file_name": "/usr/lib64/libX11-xcb.so.1.0.0"
                }
              , {   "address": 140025263362482
                ,   "build_id": "774b2e67d0deb0d3f0a214b91e0aa68afd605fb6"
                ,   "build_id_offset": 12722
                ,   "function_name": "sn_display_new"
                ,   "file_name": "/usr/lib64/libstartup-notification-1.so.0.0.0"
                }
              , {   "address": 140025343317631
                ,   "build_id": "3de7365af2d70c17a8aec76de4283e7099f8d1da"
                ,   "build_id_offset": 83583
                ,   "function_name": "wnck_screen_get"
                ,   "file_name": "/usr/lib64/libwnck-1.so.22.4.0"
                }
              , {   "address": 94852561572451
                ,   "build_id": "1eb986ee199e86508279d2953d8f7b2c34220065"
                ,   "build_id_offset": 115299
                ,   "function_name": "xfce_desktop_realize"
                ,   "file_name": "/usr/bin/xfdesktop"
                }
              , {   "address": 140025286550501
                ,   "build_id": "8f0af3ac13665e292515639f3557b9f9c9b59b7c"
                ,   "build_id_offset": 62437
                ,   "function_name": "g_closure_invoke"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.3"
                }
              , {   "address": 140025286622724
                ,   "build_id": "8f0af3ac13665e292515639f3557b9f9c9b59b7c"
                ,   "build_id_offset": 134660
                ,   "function_name": "signal_emit_unlocked_R"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.3"
                }
              , {   "address": 140025286660191
                ,   "build_id": "8f0af3ac13665e292515639f3557b9f9c9b59b7c"
                ,   "build_id_offset": 172127
                ,   "function_name": "g_signal_emit_valist"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.3"
                }
              , {   "address": 140025286661183
                ,   "build_id": "8f0af3ac13665e292515639f3557b9f9c9b59b7c"
                ,   "build_id_offset": 173119
                ,   "function_name": "g_signal_emit"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.3"
                }
              , {   "address": 140025322594292
                ,   "build_id": "83b153c37b177bbcfcab011672f28fba50de4e44"
                ,   "build_id_offset": 2596852
                ,   "function_name": "gtk_widget_realize"
                ,   "file_name": "/usr/lib64/libgtk-x11-2.0.so.0.2400.31"
                }
              , {   "address": 94852561583245
                ,   "build_id": "1eb986ee199e86508279d2953d8f7b2c34220065"
                ,   "build_id_offset": 126093
                ,   "function_name": "xfdesktop_application_start"
                ,   "file_name": "/usr/bin/xfdesktop"
                }
              , {   "address": 94852561584314
                ,   "build_id": "1eb986ee199e86508279d2953d8f7b2c34220065"
                ,   "build_id_offset": 127162
                ,   "function_name": "cb_wait_for_window_manager_destroyed"
                ,   "file_name": "/usr/bin/xfdesktop"
                }
              , {   "address": 140025283553592
                ,   "build_id": "3b5186f89b9971902d8124e8eee90486b1e569de"
                ,   "build_id_offset": 289080
                ,   "function_name": "g_source_callback_unref"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.5000.3"
                }
              , {   "address": 140025283559686
                ,   "build_id": "3b5186f89b9971902d8124e8eee90486b1e569de"
                ,   "build_id_offset": 295174
                ,   "function_name": "g_source_destroy_internal"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.5000.3"
                }
              , {   "address": 140025283567360
                ,   "build_id": "3b5186f89b9971902d8124e8eee90486b1e569de"
                ,   "build_id_offset": 302848
                ,   "function_name": "g_main_context_dispatch"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.5000.3"
                }
              , {   "address": 140025283568080
                ,   "build_id": "3b5186f89b9971902d8124e8eee90486b1e569de"
                ,   "build_id_offset": 303568
                ,   "function_name": "g_main_context_iterate.isra.24"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.5000.3"
                }
              , {   "address": 140025283568252
                ,   "build_id": "3b5186f89b9971902d8124e8eee90486b1e569de"
                ,   "build_id_offset": 303740
                ,   "function_name": "g_main_context_iteration"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.5000.3"
                }
              , {   "address": 140025294273437
                ,   "build_id": "48ad6b28698fcd7a879b133df3563a164f8d51d7"
                ,   "build_id_offset": 646045
                ,   "function_name": "g_application_run"
                ,   "file_name": "/usr/lib64/libgio-2.0.so.0.5000.3"
                }
              , {   "address": 94852561539517
                ,   "build_id": "1eb986ee199e86508279d2953d8f7b2c34220065"
                ,   "build_id_offset": 82365
                ,   "function_name": "main"
                ,   "file_name": "/usr/bin/xfdesktop"
                } ]
        } ]
}

Comment 43 Michael DePaulo 2017-04-08 12:34:44 UTC
I am the maintainer of that copr repo.

This bug only occurs with nx-libs 3.6 (in beta), not nx-libs 3.5, which is in all Fedora and EPEL releases.

I have submitted it upstream.
https://github.com/ArcticaProject/nx-libs/issues/420

Comment 44 Fedora Update System 2017-04-10 15:59:35 UTC
xfwm4-4.12.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 45 Fedora Update System 2017-04-27 05:50:50 UTC
xfwm4-4.12.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 46 RobbieTheK 2017-05-12 15:32:28 UTC
Similar problem has been detected:

using X2Go with XFCE

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        xfwm4
crash_function: XGetXCBConnection
executable:     /usr/bin/xfwm4
global_pid:     24707
kernel:         4.10.8-200.fc25.x86_64
package:        xfwm4-4.12.4-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         xfwm4 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            6105

Comment 47 Olivier Fourdan 2017-05-12 15:36:51 UTC
(In reply to RobbieTheK from comment #46)
> Similar problem has been detected:
> 
> using X2Go with XFCE

This a problem with x2go, not xfwm4.

Comment 48 RobbieTheK 2017-05-12 17:21:13 UTC
(In reply to Olivier Fourdan from comment #47)
> (In reply to RobbieTheK from comment #46)
> > Similar problem has been detected:
> > 
> > using X2Go with XFCE
> 
> This a problem with x2go, not xfwm4.

Can you change this to an Fedora-X2Go bug and reassign?

Comment 49 RobbieTheK 2017-05-13 21:29:06 UTC
Seeing this error:
TRACE[xfsm-manager.c:1295] xfsm_manager_save_yourself_done(): enteringTRACE[ice-layer.c:99] ice_error_handler(): ICE connection fd = 20, ICE I/O error on connection

Comment 50 Orion Poplawski 2017-05-15 21:30:48 UTC
*** Bug 1433419 has been marked as a duplicate of this bug. ***

Comment 51 Orion Poplawski 2017-05-15 21:30:52 UTC
*** Bug 1433449 has been marked as a duplicate of this bug. ***

Comment 52 Orion Poplawski 2017-05-15 21:31:16 UTC
*** Bug 1435677 has been marked as a duplicate of this bug. ***

Comment 53 Orion Poplawski 2017-05-15 21:33:55 UTC
As indicated in https://github.com/ArcticaProject/nx-libs/issues/420 this generally is a mismatch between x2goserver and nx-libs versions.  Robbie - are you sure you can reproduce with a stock Fedora install?

Comment 54 RobbieTheK 2017-05-19 18:56:11 UTC
(In reply to Orion Poplawski from comment #53)
> As indicated in https://github.com/ArcticaProject/nx-libs/issues/420 this
> generally is a mismatch between x2goserver and nx-libs versions.  Robbie -
> are you sure you can reproduce with a stock Fedora install?

This only happens to one NIS user. I upgraded X2Goserver to 4.1 and same--keeps getting a protocol mismatch error. I deleted both ~/.config/xfce4  & ~/.ICEauthority and same. MATE crashes as well.

Comment 55 Orion Poplawski 2017-05-24 21:51:54 UTC
I think you're going to need to figure out what it different in the user's environment.

Comment 56 RobbieTheK 2017-05-29 18:27:44 UTC
(In reply to Orion Poplawski from comment #55)
> I think you're going to need to figure out what it different in the user's
> environment.

What preferences/files should I be looking in?

Comment 57 Fedora End Of Life 2017-11-16 15:39:08 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 58 Fedora End Of Life 2017-12-12 10:43:16 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.